$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-0a121e9d26936cc8b57be00a9680b8c94905f520/rpcs3-v0.0.12-11092-0a121e9d_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = 'a302895c61f20f09ce939bec895a74168a29f7b6fcfe0669a5d01b1cb81dc27f'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
